/********************************************************************

 Author        : ADI - Apps            www.analog.com/MicroConverter

 Date          : Sept. 2005

 File          : DACsine.c

 Hardware      : ADuC702x Rev I silicon

 Description   : DAC1 outputs a sine wave.
		 DAC1 is updated with core clock frequency 41.78MHz.	

********************************************************************/

#include "ioADuC7026.h"
#include "..\LibIAR\DAC\LibDac702x.h"

int main (void)  {
	// Table is placed in Flash/EE
	const static unsigned short TableS[64] = {
 	0x07FF, 0x08C8, 0x098E, 0x0A51, 0x0B0F, 0x0BC4, 0x0C71, 0x0D12,
 	0x0DA7, 0x0E2E, 0x0EA5, 0x0F0D, 0x0F63, 0x0FA6, 0x0FD7, 0x0FF5,
 	0x0FFF, 0x0FF5, 0x0FD7, 0x0FA6, 0x0F63, 0x0F0D, 0x0EA5, 0x0E2E,
 	0x0DA7, 0x0D12, 0x0C71, 0x0BC4, 0x0B0F, 0x0A51, 0x098E, 0x08C8,
 	0x07FF, 0x0736, 0x0670, 0x05AD, 0x04EF, 0x043A, 0x038D, 0x02EC,
 	0x0257, 0x01D0, 0x0159, 0x00F1, 0x009B, 0x0058, 0x0027, 0x0009,
 	0x0000, 0x0009, 0x0027, 0x0058, 0x009B, 0x00F1, 0x0159, 0x01D0,
 	0x0257, 0x02EC, 0x038D, 0x043A, 0x04EF, 0x05AD, 0x0670, 0x0736
	};
	int   i = 0;

	// DAC configuration
	DacRng(1, 3);
        //DAC1CON = 0x13;		// range AVdd/AGND
					// DAC1 is updated with falling edge of core clock
        DacOut(1, 0x8000000);
	//DAC1DAT = 0x08000000;		// start from midscale

	while(1){


        DacOut(1, TableS[i] << 16);
	//DAC1DAT = (TableS[i] << 16);
	i++;
	i &= 0x03f;         	
	}

}
